<template lang="pug">
  .root-about
    img.title(src='@/assets/title_about.svg' alt="アバウト" height="52")
    img.about_full(src='@/assets/about_full.png')
    my-button.btn(
      type="primary"
      @click="push('/post')"
    )
      img(src="@/assets/btn_text_open_post.svg" alt="写真を投稿する" height="16")
    my-button.btn(
      type="primary"
      @click="push('/album')"
    )
      img(src="@/assets/btn_text_album.svg" alt="フォトアルバムを見る" height="16")
    my-button.btn(
      type="plane"
      @click="push('/top')"
      size="small"
    )
      img(src="@/assets/btn_gotop.svg" alt="このアルバムについて" height="16")
</template>
<script>
import router from '@/router/index'
import { mapActions, mapGetters } from 'vuex'
import MyButton from '@/components/atoms/Button'

export default {
  name: 'About',
  components: {
    MyButton,
  },
  methods: {
    push(path){
      router.push(path)
    }
  }
}
</script>
<style lang="stylus">
.root-about
  width 90%
  max-width 420px
  margin 0 auto
  display: flex
  flex-flow: column nowrap
  justify-content: center
  align-items: center
  padding-top 40px
  padding-bottom 100px
  .about_full
    width 100%
    margin-bottom $margin-l
  .title
    margin-bottom: $margin-l
  .hero
    width 100%
    margin-bottom  $margin-l
  .btn + .btn
    margin-top $margin-s

</style>
